JavaScript
import Moonbase from '@moonbaseai/sdk';
const client = new Moonbase({
apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted
});
const funnel = await client.funnels.retrieve('id');
console.log(funnel.id);require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
funnel = moonbase.funnels.retrieve("id")
puts(funnel)import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
funnel = client.funnels.retrieve(
"id",
)
print(funnel.id)package main
import (
"context"
"fmt"
"github.com/moonbaseai/moonbase-sdk-go"
"github.com/moonbaseai/moonbase-sdk-go/option"
)
func main() {
client := moonbase.NewClient(
option.WithAPIKey("My API Key"),
)
funnel, err := client.Funnels.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", funnel.ID)
}
curl --request GET \
--url https://api.moonbase.ai/v0/funnels/{id} \
--header 'Authorization: Bearer <token>'{
"id": "1CLJt2v5aNd8G5SGzEaeVU",
"type": "funnel",
"name": "Sales Pipeline",
"steps": [
{
"id": "1CLJt2v5pkpkAnvdgXfEcF",
"type": "funnel_step",
"step_type": "active",
"name": "Step 1",
"color": "red"
},
{
"id": "1CLJt2v6592N5WQzNpjpj2",
"type": "funnel_step",
"step_type": "active",
"name": "Step 2",
"color": "red"
},
{
"id": "1CLJt2v6KXDyzDuM57pQqo",
"type": "funnel_step",
"step_type": "active",
"name": "Step 3",
"color": "red"
},
{
"id": "1CLJt2v6ZuRbtwPhmQtzxa",
"type": "funnel_step",
"step_type": "success",
"name": "Step 4",
"color": "red"
},
{
"id": "1CLJt2v6pHdDoet4Thyb5M",
"type": "funnel_step",
"step_type": "failure",
"name": "Step 5",
"color": "red"
}
],
"created_at": "2025-02-17T16:00:00.000Z",
"updated_at": "2025-02-17T16:00:00.000Z"
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "403",
"title": "Forbidden"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "404",
"title": "Not Found"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "429",
"title": "Too Many Requests"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "500",
"title": "Internal Server Error"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "503",
"title": "Service Unavailable",
"detail": "The service is temporarily unavailable, please try again later."
}
]
}Funnels
Retrieve a Funnel
Retrieves the details of an existing funnel.
GET
/
funnels
/
{id}
JavaScript
import Moonbase from '@moonbaseai/sdk';
const client = new Moonbase({
apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted
});
const funnel = await client.funnels.retrieve('id');
console.log(funnel.id);require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
funnel = moonbase.funnels.retrieve("id")
puts(funnel)import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
funnel = client.funnels.retrieve(
"id",
)
print(funnel.id)package main
import (
"context"
"fmt"
"github.com/moonbaseai/moonbase-sdk-go"
"github.com/moonbaseai/moonbase-sdk-go/option"
)
func main() {
client := moonbase.NewClient(
option.WithAPIKey("My API Key"),
)
funnel, err := client.Funnels.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", funnel.ID)
}
curl --request GET \
--url https://api.moonbase.ai/v0/funnels/{id} \
--header 'Authorization: Bearer <token>'{
"id": "1CLJt2v5aNd8G5SGzEaeVU",
"type": "funnel",
"name": "Sales Pipeline",
"steps": [
{
"id": "1CLJt2v5pkpkAnvdgXfEcF",
"type": "funnel_step",
"step_type": "active",
"name": "Step 1",
"color": "red"
},
{
"id": "1CLJt2v6592N5WQzNpjpj2",
"type": "funnel_step",
"step_type": "active",
"name": "Step 2",
"color": "red"
},
{
"id": "1CLJt2v6KXDyzDuM57pQqo",
"type": "funnel_step",
"step_type": "active",
"name": "Step 3",
"color": "red"
},
{
"id": "1CLJt2v6ZuRbtwPhmQtzxa",
"type": "funnel_step",
"step_type": "success",
"name": "Step 4",
"color": "red"
},
{
"id": "1CLJt2v6pHdDoet4Thyb5M",
"type": "funnel_step",
"step_type": "failure",
"name": "Step 5",
"color": "red"
}
],
"created_at": "2025-02-17T16:00:00.000Z",
"updated_at": "2025-02-17T16:00:00.000Z"
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "403",
"title": "Forbidden"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "404",
"title": "Not Found"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "429",
"title": "Too Many Requests"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "500",
"title": "Internal Server Error"
}
]
}{
"type": "errors",
"errors": [
{
"type": "error",
"status": "503",
"title": "Service Unavailable",
"detail": "The service is temporarily unavailable, please try again later."
}
]
}Authorizations
Your Moonbase API key.
Path Parameters
The ID of the funnel to retrieve.
Response
Successful response.
A Funnel represents a series of steps used to track progression.
String representing the object’s type. Always funnel for this object.
Allowed value:
"funnel"Unique identifier for the object.
The name of the funnel.
An ordered list of FunnelStep objects that make up the funnel.
Show child attributes
Show child attributes
Time at which the object was created, as an ISO 8601 timestamp in UTC.
Time at which the object was last updated, as an ISO 8601 timestamp in UTC.
⌘I

